<?php
require('../fpdf.php');

class PDF extends FPDF
{
var $B;
var $I;
var $U;
var $HREF;


function WriteHTML($html)
{
        //HTML parser
        $html=str_replace("\n",' ',$html);
        $a=preg_split('/<(.*)>/U',$html,-1,PREG_SPLIT_DELIM_CAPTURE);
        foreach($a as $i=>$e)
        {
                if($i%2==0)
                {
                        //Text
                        if($this->HREF)
                                $this->PutLink($this->HREF,$e);
                        else
                                $this->Write(5,$e);
//                              $this->Cell(180,5,$e,1,2,'J');
                }
                else
                {
                        //Tag
                        if($e{0}=='/')
                                $this->CloseTag(strtoupper(substr($e,1)));
                        else
                        {
                                //Extract attributes
                                $a2=explode(' ',$e);
                                $tag=strtoupper(array_shift($a2));
                                $attr=array();
                                foreach($a2 as $v)
                                        if(ereg('^([^=]*)=["\']?([^"\']*)["\']?$',$v,$a3))
                                                $attr[strtoupper($a3[1])]=$a3[2];
                                $this->OpenTag($tag,$attr);
                        }
                }
        }
}

function OpenTag($tag,$attr)
{
        //Opening tag
        if($tag=='B' or $tag=='I' or $tag=='U')
                $this->SetStyle($tag,true);
        if($tag=='A')
                $this->HREF=$attr['HREF'];
        if($tag=='BR')
                $this->Ln(5);
}

function CloseTag($tag)
{
        //Closing tag
        if($tag=='B' or $tag=='I' or $tag=='U')
                $this->SetStyle($tag,false);
        if($tag=='A')
                $this->HREF='';
}

function SetStyle($tag,$enable)
{
        //Modify style and select corresponding font
        $this->$tag+=($enable ? 1 : -1);
        $style='';
        foreach(array('B','I','U') as $s)
                if($this->$s>0)
                        $style.=$s;
        $this->SetFont('',$style);
}

function PutLink($URL,$txt)
{
        //Put a hyperlink
        $this->SetTextColor(0,0,255);
        $this->SetStyle('U',true);
        $this->Write(5,$txt,$URL);
        $this->SetStyle('U',false);
        $this->SetTextColor(0);
}
//Page header
function Header2($texto)
{
        //Logo
        $this->Image('../logo_colegio.png',10,8,20);
        $this->Image('../logo_colegio2.png',180,8,18);
        //Arial bold 15
        $this->SetFont('Arial','B',15);
        //Move to the right
        $this->Cell(80);
        //Title
        $this->Cell(30,10,$texto,0,0,'C');
        //Line break
        $this->Ln(20);
}

//Page footer
function Footer2()
{
        //Position at 1.5 cm from bottom
        $this->SetY(-15);
        //Arial italic 8
        $this->SetFont('Arial','I',8);
        //Page number
//        $this->Cell(0,10,'Pagina '.$this->PageNo().'/{nb}',0,0,'C');
}
}

include("../fnc.php");
include("../num2letras.php");

$numero=$idr;

$sql="select * from cp_cobros
      where numero=$numero and tipo='$tipo'";
//echo $sql;
$qrec=mysql_query($sql);

//echo mysql_error();
$infor=mysql_fetch_array($qrec);

$qdet=mysql_query("select *
                   from cp_det_cobros
                   where cp_det_cobros.cobro = $numero and tipo='$tipo'");
//echo mysql_error();

$pdf=new PDF('P','mm','Letter');
$pdf->SetMargins(10,1.00,0.00);
$pdf->AliasNbPages();
$pdf->AddPage();
$pdf->SetFont('Times','',12);
$pdf->Ln(6);
$pdf->cell(120,5,$idr,0,1,"R");
$pdf->Ln(6);
$pdf->Cell(37,5,day_of_date($infor[fecha]),0,0,"R");
$pdf->Cell(8,5,"",0,0,"R");
$pdf->Cell(15,5,month_of_date($infor[fecha]),0,0,"C");
$pdf->Cell(11,5,year_of_date($infor[fecha]),0,0,"R");
$pdf->Ln(8);
$pdf->cell(20,5,"");
$pdf->cell(80,5,$infor[nombre],0,0);
$pdf->cell(45,5,$infor[nit],0,1);
$pdf->Ln(3);
$pdf->cell(20,5,"");
$pdf->cell(80,5,$infor[direccion],0,0);
$pdf->cell(45,5,$infor[carnet],0,1);
$pdf->Ln(7);

$lineas=0;
$total=0.00;
while($infod=mysql_fetch_array($qdet)){
$lineas++;
$total+=$infod[cantidad]*$infod[valorunit];
$pdf->cell(16,5,$infod[cantidad]);
$pdf->cell(80,5,$infod[descripcion]." Q".$infod[valorunit],0,0,"L");
$pdf->cell(24,5,moneda($infod[cantidad]*$infod[valorunit]),0,1,"R");
}
$espacio=(5*(6-$lineas))-4;
$pdf->Ln($espacio);
$pdf->SetFont('Times','',12);
$pdf->SetStyle("B",true);
$pdf->cell(80,5,"SUJETO A RETENCION",0,1);
$pdf->SetStyle("B",false);
$pdf->SetFont('Times','',12);
$pdf->Ln(6);
//$pdf->cell(80,5,"Alumno: ".$infor[nombre]." ".$infor[apellido],0,0);
$pdf->Ln(7);
$pdf->cell(80,4,num2letras($total));
$pdf->cell(40,4,moneda($total),0,0,"R");
$pdf->Output();
exit();
?>